Skip to main content
`Ctrl`+`K`

# DMPlexRestoreFaceFields

Restore the field values values for a chunk of faces

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexRestoreFaceFields(DM dm, PetscInt fStart, PetscInt fEnd, Vec locX, PeOp Vec locX_t, Vec faceGeometry, Vec cellGeometry, PeOp Vec locGrad, PetscInt *Nface, PetscScalar *uL[], PetscScalar *uR[])

## Input Parameters

- dm - The `DM`

- fStart - The first face to include

- fEnd - The first face to exclude

- locX - A local vector with the solution fields

- locX_t - A local vector with solution field time derivatives, or `NULL`

- faceGeometry - A local vector with face geometry

- cellGeometry - A local vector with cell geometry

- locGrad - A local vector with field gradients, or `NULL`

## Output Parameters

- Nface - The number of faces with field values

- uL - The field values at the left side of the face

- uR - The field values at the right side of the face

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetFaceFields()`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages